Enneo

Event

Create an event

POST /event

POST /event

Manually emit a Mind event. The created event is enqueued for processing by the standard event pipeline (event hooks, automation, traces).

Request body

Responses

200 — Created

Response Example

{
  "success": true,
  "event": {
    "id": 1,
    "status": "open",
    "user": {
      "id": 1,
      "firstName": "string",
      "lastName": "string",
      "email": "string",
      "phone": "string"
    },
    "createdAt": "2026-01-01T12:00:00Z",
    "activity": "string",
    "details": [
      {
        "label": "string",
        "value": "string",
        "type": "string",
        "url": "string"
      }
    ],
    "tabs": [
      {
        "key": "string",
        "label": "string"
      }
    ],
    "eventTraces": [
      null
    ]
  }
}

400 — Invalid payload

403 — Unauthorized